package ro.ieval.unical;
import android.content.Intent;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.preference.PreferenceManager;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;

public class MainActivity extends android.app.Activity {
	
	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		
		final SharedPreferences prefs=PreferenceManager.getDefaultSharedPreferences(this);
		if(prefs.getBoolean("FirstTime", true)) {
			prefs.edit().putBoolean("FirstTime", false).commit();
			final Intent i=new Intent(this,LoginActivity.class);
			startActivity(i);
		}

		final Intent intent=new Intent(this, EventListActivity.class);
		startActivity(intent);
	}
	
	@Override
	public boolean onCreateOptionsMenu(final Menu menu) {
		final MenuInflater inflater = getMenuInflater();
	    inflater.inflate(R.menu.main, menu);
		return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(final MenuItem item) {
	    switch (item.getItemId()) {
	        case R.id.NewEvent:
	        	final Intent i=new Intent(this,AddEventActivity.class);
				startActivity(i);
	            return true;
	        default:
	            return false;
	    }
	}
}
